*,
::after,
::before {
  box-sizing: border-box;
}

/* fonts */
@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:ital,wght@0,100;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Ubuntu&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap");

html {
  background: var(--blackLighter) center/cover no-repeat;
  font-size: 100%;
  width: 100%;
  scroll-behavior: smooth;
  scroll-snap-type: y mandatory;
  transition: all 0.5s linear;

}

:root {
  /* colors  primary*/
  --primary-100: #f7f0f1;
  --primary-200: #eadfe1;
  --primary-300: #d6bfc4;
  --primary-400: #c19fa6;
  --primary-500: #ac8089;
  --primary-600: #98606b;
  --primary-700: #83404d;
  --primary-800: #6f2030;
  --primary-900: #5a0012;
  /* colors  secondary*/
  --secondary-100: #eef5f4;
  --secondary-200: #dfeae8;
  --secondary-300: #bfd6d1;
  --secondary-400: #9fc1ba;
  --secondary-500: #80aca4;
  --secondary-600: #60988d;
  --secondary-700: #408376;
  --secondary-800: #206f5f;
  --secondary-900: #005a48;
  /* colors blues*/
  --blues-100: #e2e0ff;
  --blues-200: #c1beff;
  --blues-300: #a29dff;
  --blues-400: #837dff;
  --blues-500: #645cff;
  --blues-600: #504acc;
  --blues-700: #3c3799;
  --blues-800: #282566;
  --blues-900: #141233;
  /* grey */
  --grey-50: #f8fafc;
  --grey-100: #f1f5f9;
  --grey-200: #e2e8f0;
  --grey-300: #cbd5e1;
  --grey-400: #94a3b8;
  --grey-500: #64748b;
  --grey-600: #475569;
  --grey-700: #334155;
  --grey-800: #1e293b;
  --grey-900: #0f172a;
  /* rest of the colors */
  --black: #222;
  --white: #fff;
  --red-light: #f8d7da;
  --red-dark: #842029;
  --green-light: #d1e7dd;
  --green-dark: #0f5132;
  --gold: #c59d5f;
  /* fonts  */
  --headingFont: "Ubuntu", sans-serif;
  --bodyFont: "IBM Plex Sans", sans-serif;
  --smallText: 0.7em;
  /* rest of the vars */
  --backgroundColor: var(--grey-50);
  --textColor: var(--grey-7--secondary-700);
  --borderRadius: 0.25rem;
  --letterSpacing: 1px;
  --transition: 0.3s ease-in-out all;
  --max-width: 1120px;
  --fixed-width: 600px;
  /* box shadow*/
  --shadow-1: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
  --shadow-2:
    0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  --shadow-3:
    0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
  --shadow-4:
    0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);
  --box-shadow:
    0px 0px 3px rgba(128, 128, 128, 0.769),
    0.5px 0.5px 3px 4px rgba(255, 255, 255, 0.701),
    0px 0px 6px rgba(255, 255, 167, 0.674);
  --boxShadowCard: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  --textShadowTitle: 0 1.7px 0 rgba(0, 0, 0, 0.4);
  --textShadowTitle2: 0 1px 0 rgba(0, 0, 0, 0.2), 0 1.1px 0 rgba(0, 0, 0, 0.2);
  --boxShadowImage:
    0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  --boxShadowImage2:
    0 3px 5px -1px rgba(54, 54, 54, 0.1), 0 2px 4px -1px rgba(54, 54, 54, 0.06);
  --boxShadowImage3:
    0 4px 6px -1px rgba(156, 156, 156, 0.1),
    0 2px 4px -1px rgba(108, 108, 108, 0.06);
  /* --boxShadow: 0 0 3px 5px black, 0.5px 0.5px 4px 6px grey; */
  --boxShadowHover: 0 0 3px 5px grey, 0.5px 0.5px 4px 6px black;
  --textShadow:
    2px 2px 10px rgb(255, 255, 255), 0px 0px 7px rgb(171, 119, 255, 0.6);
  --textShadow2:
    2px 2px 10px rgb(255, 255, 255), 0px 0px 7px var(--secondary-600);
  --shadow-logo: 2px -17px 5px #666666;
  /* end of box-shadow */
  /* filter */
  --filter-black: drop-shadow(0.8px 0.8px 1px var(--blackMain)) invert(5%);
  --filter-white: drop-shadow(0.8px 0.8px 1px var(--whitekMain)) invert(5%);
  --filter-with-light-redding: drop-shadow(0 0 0.05em var(--secondary-200));
  --filter-with-redding: drop-shadow(0 0 0.05em var(--secondary-500));
  /* end of filter */
  --text-shadow:
    text-shadow: 2px 2px 10px rgb(255, 255, 255), 0px 0px 7px rgb(171, 119, 255);
  --shadow-logo: 2px -17px 5px #666666;
  --ff-primary: "Roboto", sans-serif;
  --ff-secondary: "Open Sans", sans-serif;
  --transition: all 0.3s linear;
  --spacing: 0.25rem;
  --radius: 0.5rem;
  --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  --max-width: 1170px;
  --fixed-width: 620px;
  --transform-text: scale(0.98, 1.01);
  /* colors */
  --primaryColor: #a60000;
  --secondaryColor: #e30101;
  --tirtiaryColor: #f0f0f0;
  --greenDark: #005919;
  --green: #00a62f;
  --blueDark: #043959;
  --blue: #116ca6;
  --yelish: #a6a411;
  --purple: #b309b3;
  --purplePink: #bd0963;
  --orange: orange;
  --orangeDark: #d94f16;
  --orangeDark: #bd2409;
  --brownDark: #40251a;
  --brown: #b33a09;
  --indigo: #18f2d1;
  --turquoise: #08a68e;
  --silver: #d9d9d9;
  --gold: #c59d5f;
  --clr-secondary: #40cfd4;
  --clr-white: #fff;

  /* greys */
  --greyMain: #ececec;
  --grey: #808080;
  --greyDark: #404040;
  --greyLight: #bfbfbf;
  --greySilver: #e0e0e0;
  --clr-grey-5: hsl(210, 22%, 49%);

  /* whites */
  --whiteMain: #fff;
  --whiteLight: #f7f7f7;
  --whiteLess: #f0f0f0;
  --whiteSilver: #e6e6e6;
  --clr-white: #fff;
  /* blacks */
  --blackMain: #222;
  --blackMiddle: #292929;
  --blackLighter: #333333;
  --dark: #1a1a1a;

  /* fonts */
  --fontMain: "Roboto Mono", monospace;
  --lineHeight: 1.75;
  /* box-shadow */
  --boxShadow: 0 0 3px 5px black, 0.5px 0.5px 4px 6px grey;
  --boxShadowHover: 0 0 3px 5px grey, 0.5px 0.5px 4px 6px black;
  --textShadow:
    2px 2px 10px rgb(255, 255, 255), 0px 0px 7px rgb(171, 119, 255, 0.6);
  --textShadow2:
    0.1px 0.1px 3px var(--greyDark), 0px 0px 4px var(--secondaryColor);

  /* others */
  --mainSpacing: 0.1rem;
  --mainTransition: all 0.3s linear;
  --radius: 0.5rem;
  --transition: all 0.3s linear;
}

/*
=============== 
Global Styles
===============
*/
html {
  scroll-behavior: smooth;
}

*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: var(--bodyMain);
  background: var(--backgroundColor);
  color: var(--textColor);
  line-height: 1.75;
  font-size: 0.875rem;
  font-weight: 400;
  /* overflow-y: hidden; */
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
}

p {
  /*  margin-top: 0; */
  margin-bottom: 1.5rem;
  /*   max-width: 40em; */
  color: var(--grey-500);
}

h1,
h2,
h3,
h4,
h5 {
  margin: 0;
  margin-bottom: 1.38rem;
  font-family: var(--headingFont);
  font-weight: 400;
  line-height: 1.3;
  text-transform: capitalize;
  letter-spacing: var(--letterSpacing);
}

h1 {
  margin-top: 0;
  font-size: 3.052rem;
}

h2 {
  font-size: 2.441rem;
}

h3 {
  font-size: 1.953rem;
}

h4 {
  font-size: 1.563rem;
}

h5 {
  font-size: 1.25rem;
}

small,
.text-small {
  font-size: var(--smallText);
}

.img {
  width: 100%;
  display: block;
  object-fit: cover;
}

img:not(.logo) {
  width: 100%;
}

@media screen and (min-width: 800px) {
  h1 {
    font-size: 4rem;
  }

  h2 {
    font-size: 2.5rem;
  }

  h3 {
    font-size: 1.75rem;
  }

  h4 {
    font-size: 1rem;
  }

  body {
    font-size: 1rem;
  }

  h1,
  h2,
  h3,
  h4 {
    line-height: 1;
  }
}

/* buttons */
.btn {
  cursor: pointer;
  color: var(--white);
  background: var(--primary-600);
  border: transparent;
  border-radius: var(--borderRadius);
  letter-spacing: var(--letterSpacing);
  padding: 0.375rem 0.75rem;
  box-shadow: var(--shadow-1);
  transition: var(--transtion);
  text-transform: capitalize;
  display: inline-block;
}

.btn:hover {
  background: var(--primary-700);
  box-shadow: var(--shadow-3);
}

.a_btn {
  cursor: pointer;
  color: var(--white);
  background: var(--primary-600);
  border: transparent;
  border-radius: var(--borderRadius);
  letter-spacing: var(--letterSpacing);
  padding: 0.375rem 0.75rem;
  box-shadow: var(--shadow-1);
  transition: var(--transtion);
  text-transform: capitalize;
  display: block;
  margin: 0.26rem auto 0.56rem;
  width: fit-content;
}

.a_btn:hover {
  background: var(--primary-700);
  box-shadow: var(--shadow-3);
}

.btn-hipster {
  color: var(--primary-500);
  background: var(--primary-200);
}

.btn-hipster:hover {
  color: var(--primary-200);
  background: var(--primary-700);
}

.btn-block {
  width: 100%;
}

.btn-white {
  color: var(--white);
  border-color: var(--white);
  text-shadow: var(--textShadow);
  border-radius: 0;
  padding: 0.5rem 1rem;
  box-shadow: var(--shadow-1);
  transition: all 0.3s linear;
}

.btn-white:hover {
  background: var(--secondary-500);
  color: var(--white);
}

/* text */
.text_dark {
  color: var(--blackMain);
  padding: 0.8rem;
  text-overflow: ellipsis;
  text-indent: 2rem;
  text-align: justify;
  word-wrap: break-word;
  border-radius: 10%;
  font-size: 108%;
  /* background-color: rgba(255, 255, 255, 0.05); */
  filter: var(--filter-with-light-redding);
  filter: var(--filter-white);
  text-shadow: var(--textShadowTitle2);
  backdrop-filter: blur(1.2px);
}

.text_light {
  color: var(--whiteMain);
  padding: 0.8rem;
  text-overflow: ellipsis;
  text-indent: 2rem;
  text-align: justify;
  word-wrap: break-word;
  /* background-color: rgb(0, 0, 0, 0.5); */
  filter: drop-shadow(0.8px 0.8px 1px var(--blackMain)) invert(5%);
  text-shadow: var(--textShadowTitle2);
}

/* testing */
.overlay_dark {
  width: inherit;
  height: inherit;
  position: relative;
  z-index: inherit;
}

.overlay_dark::after {
  content: "";
  width: inherit;
  height: inherit;
  position: relative;
  position: absolute;
  z-index: 5;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.4);
  margin: 0 auto;
}

/* intersention observer */
.fade-up {
  opacity: 1;
  position: relative;
  transform: translateY(5rem);
  transition:
    transform 1s cubic-bezier(0.64, 0.04, 0.26, 0.87),
    opacity 0.8s cubic-bezier(0.64, 0.04, 0.26, 0.87);
}

.fade-up.faded {
  opacity: 1;

  transform: translateY(0);
}
/* end of intersention observer */
/* end of testing */
/* end of text */
.h1 {
  filter: drop-shadow(0.8px 0.8px 1px var(--whiteMain)) invert(5%);
  text-shadow: var(--textShadowTitle);
}

.h2 {
  padding-top: 4rem;
  color: var(--whiteSilver);
  text-shadow: var(--textShadowTitle);
}

/* --------------------------------------- */
/* alerts */
.alert {
  padding: 0.375rem 0.75rem;
  margin-bottom: 1rem;
  border-color: transparent;
  border-radius: var(--borderRadius);
}

.alert-danger {
  color: var(--red-dark);
  background: var(--red-light);
}

.alert-success {
  color: var(--green-dark);
  background: var(--green-light);
}

/* --------------------------------------- */
/* form */
.form {
  width: 90vw;
  max-width: var(--fixed-width);
  background: var(--white);
  border-radius: var(--borderRadius);
  box-shadow: var(--shadow-2);
  padding: 2rem 2.5rem;
  margin: 3rem auto;
}

.form-label {
  display: block;
  font-size: var(--smallText);
  margin-bottom: 0.5rem;
  text-transform: capitalize;
  letter-spacing: var(--letterSpacing);
}

.form-input,
.form-textarea {
  width: 100%;
  padding: 0.375rem 0.75rem;
  border-radius: var(--borderRadius);
  background: var(--backgroundColor);
  border: 1px solid var(--grey-200);
}

.form-row {
  margin-bottom: 1rem;
}

.form-textarea {
  height: 7rem;
}

::placeholder {
  font-family: inherit;
  color: var(--grey-400);
}

.form-alert {
  color: var(--red-dark);
  letter-spacing: var(--letterSpacing);
  text-transform: capitalize;
}

/* --------------------------------- */
/* title */
.title {
  text-align: center;
}

.title-underline {
  background: var(--primary-500);
  width: 7rem;
  height: 0.25rem;
  margin: 0 auto;
  margin-top: -1rem;
}

/*  global classes */
/* section */
.section {
  padding: 5rem 0 0;
}

.section-center {
  width: 90vw;
  margin: 0 auto;
  max-width: 1170px;
}

@media screen and (min-width: 992px) {
  .section-center {
    width: 95vw;
  }
}

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: var(--clr-white);
  display: grid;
  justify-content: center;
  align-items: center;
  visibility: visible;
  z-index: 999;
  transition: var(--transition);
}

.hide-preloader {
  z-index: -999;
  visibility: hidden;
}

/* loading */
@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

.loading {
  width: 6rem;
  height: 6rem;
  border: 5px solid var(--grey-400);
  border-radius: 50%;
  border-top-color: var(--primary-500);
  animation: spinner 0.6s linear infinite;
}

.loading {
  margin: 0 auto;
}

/* ------END OF GLOBALS------- */
/*
=============== 
Scroll
===============
*/
/* navbar */
/* nav {
  background: rgb(248, 250, 252);
  padding: 1rem 1.5rem 0;
} */
nav {
  background: rgb(248, 250, 252);
  padding: 1rem 1.5rem 0;
  text-shadow: var(--shadow-1);
  z-index: 25;
  position: fixed;
  left: 0;
  right: 0;
  width: 100vw;
  top: 0 !important;
  /*      background: rgb(248, 250, 252);
  padding: 1rem 1.5rem 0; */
}

/* fixed nav */
.fixed-nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--white);
  box-shadow: var(--light-shadow);
  z-index: 20 !important;
}

.fixed-nav .links a {
  color: var(--primary-700);
  text-shadow: var(--textShadow);
}

.fixed-nav .links a:hover {
  color: var(--secondary-700);
  transform: var(--transform-text);
}

.nav-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-toggle {
  font-size: 1.5rem;
  color: var(--primary-900);
  background: transparent;
  border-color: transparent;
  transition: var(--transition);
  cursor: pointer;
  z-index: 35;
}

.nav-toggle:hover {
  color: var(--secondary-700);
  box-shadow: var(--box-shadow);
  padding: 0.15rem;
  box-shadow: var(--light-shadow);
}

.logo {
  height: 50px;
  margin: 0;
  padding: 0;
}

.logo:hover {
  height: 50px;
  cursor: pointer;
  transition: var(--transition);
  box-shadow: var(--light-shadow);
}

.links-container {
  height: 0;
  overflow: hidden;
  transition: var(--transition);
}

.show-links {
  height: 200px;
}

.links a {
  background: transparent;
  color: var(--primary-700);
  font-size: 1.1rem;
  text-transform: capitalize;
  letter-spacing: var(--spacing);
  display: block;
  transition: var(--transition);
  font-weight: bold;
  padding: 0.85rem 0;
  color: var(--primary-700);
  cursor: pointer;
}

.links a:hover {
  color: var(--secondary-700);
}

@media screen and (min-width: 800px) {
  nav {
    background: transparent;
  }

  .nav-center {
    width: 90vw;
    max-width: 1170px;
    margin: 0rem auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .nav-header {
    padding: 0;
  }

  .nav-toggle {
    display: none;
  }

  .links-container {
    height: auto !important;
  }

  .links {
    display: flex;
  }

  .links a {
    background: transparent;
    color: var(--white);
    font-size: 1.1rem;
    text-transform: capitalize;
    letter-spacing: var(--spacing);
    display: block;
    transition: var(--transition);
    margin: 0 1rem;
    font-weight: bold;
    padding: 0;
  }

  .links a:hover {
    color: var(--primary-700);
  }
}

/* end of nav */
/* hero */
header {
  min-height: 100vh;
  background: url(../images/cows-on-meadow-backgrownd.jpg) center/cover
    no-repeat;
}

header#home.header_privacy {
  min-height: 12vh;
  background: linear-gradient(rgba(63, 208, 212, 0.5), rgba(0, 0, 0, 0.7))
    center/cover no-repeat;
  object-fit: contain;
}

.banner {
  min-height: 100vh;
  display: grid;
  place-items: center;
  text-align: center;
}

.marginB {
  margin-bottom: 2rem;
}

.container {
  z-index: 7;
}

.container h1 {
  color: var(--white);
  text-transform: uppercase;
}

.container p {
  color: var(--white);
  max-width: 21rem;
  margin: 0 auto;
  margin-bottom: 1.25rem;
}

@media screen and (min-width: 768px) {
  .container p {
    max-width: 40rem;
  }
}

/* sections and title */
section#about {
  background-color: var(--secondary-100);
}

section#delivery {
  background-color: var(--secondary-100);
}

section#meat {
  background-color: var(--white);
}

.title h2 {
  text-align: center;
  text-transform: uppercase;
}

.title span {
  color: var(--primary-700);
}

#about,
#reviews,
#meat {
  min-height: 100vh;
}

#delivery {
  background: var(--white);
}

#reviews,
#about {
  background: var(--secondary-200);
}

/* footer */
footer {
  background: var(--primary-900);
  padding: 5rem 2rem;
}

footer p,
a {
  color: var(--white);
  text-align: center;
  text-transform: capitalize;
  letter-spacing: var(--spacing);
  margin-bottom: 0;
}

footer a {
  cursor: pointer;
}

.top-link {
  font-size: 1.25rem;
  position: fixed;
  bottom: 3rem;
  right: 3rem;
  background: var(--grey-500);
  width: 2rem;
  height: 2rem;
  display: grid;
  place-items: center;
  border-radius: var(--radius);
  color: var(--white);
  animation: bounce 2s ease-in-out infinite;
  visibility: hidden;
  z-index: -100;
}

.top-link:hover {
  box-shadow: var(--shadow-4);
  background-color: var(--grey-700);
  border: 2px solid var(--grey-800);
}

.show-link {
  visibility: visible;
  z-index: 100;
  transition: all 0.3s linear;
}

.whatsapp-link {
  font-size: 1.25rem;
  position: fixed;
  bottom: 2.85rem;
  left: 2.85rem;
  background: rgb(3, 199, 3);
  width: 2.65rem;
  height: 2.65rem;
  display: grid;
  place-items: center;
  border-radius: 50%;
  color: var(--white);
  animation: bounce 2s ease-in-out infinite;
  visibility: hidden;
  z-index: 100;
  border: 2px solid var(--white);
  transition: all 0.3s linear;
}

.whatsapp-link:hover {
  box-shadow: var(--shadow-4);
  background-color: rgb(21, 159, 21);
  border: 2px solid green;
}

.show-link {
  visibility: visible;
  z-index: 100;
  transition: all 0.3s linear;
}

@keyframes bounce {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.3);
  }

  100% {
    transform: scale(1);
  }
}

/*
=============== 
About
===============
*/
.title {
  text-align: center;
  margin-bottom: 4rem;
}

.title p {
  width: 80%;
  margin: 0 auto;
}

.about-img {
  margin-bottom: 2rem;
}

.about-img img {
  border-radius: var(--radius);
  object-fit: cover;
  height: 20rem;
}

@media screen and (min-width: 992px) {
  .about-img {
    margin-bottom: 0;
  }

  /* tabs */
  .about-center {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 2rem;
  }
}

.about {
  background: var(--white);
  border-radius: var(--radius);
  display: grid;
  grid-template-rows: auto 1fr;
}

.delivery {
  background: var(--white);
  border-radius: var(--radius);
  display: grid;
  grid-template-rows: auto 1fr;
}

.btn-container-tabs {
  border-top-left-radius: var(--radius);
  border-top-right-radius: var(--radius);
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.btn-container-tabs_delivery {
  border-top-left-radius: var(--radius);
  border-top-right-radius: var(--radius);
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.tab-btn:nth-child(1) {
  border-radius: var(--radius);
}

.tab-btn:nth-child(2) {
  border-radius: var(--radius);
}

.tab-btn:nth-child(3) {
  border-radius: var(--radius);
}

.tab-btnDelivery:nth-child(1) {
  border-radius: var(--radius);
}

.tab-btnDelivery:nth-child(2) {
  border-radius: var(--radius);
}

.tab-btnDelivery:nth-child(3) {
  border-radius: var(--radius);
}

.tab-btn {
  padding: 1rem 0.01rem 1rem 0.01rem;
  border: none;
  text-transform: capitalize;
  font-size: 1rem;
  display: block;
  background: var(--primary-700);
  cursor: pointer;
  transition: var(--transition);
  letter-spacing: var(--spacing);
  color: var(--black);
  background: var(--grey-300);
}

.tab-btn:hover:not(.active) {
  background: var(--grey-600);
  color: var(--white);
}

.tab-btnDelivery {
  padding: 1rem 0.01rem 1rem 0.01rem;
  border: none;
  text-transform: capitalize;
  font-size: 1rem;
  display: block;
  background: var(--primary-700);
  cursor: pointer;
  transition: var(--transition);
  letter-spacing: var(--spacing);
  color: var(--black);
  background: var(--grey-300);
}

.tab-btnDelivery:hover:not(.deliveryActive) {
  background: var(--grey-600);
  color: var(--white);
}

.about-content {
  border-bottom-left-radius: var(--radius);
  border-bottom-right-radius: var(--radius);
  padding: 2rem 1.5rem;
}

.about-content_delivery {
  border-bottom-left-radius: var(--radius);
  border-bottom-right-radius: var(--radius);
  padding: 2rem 1.5rem;
}

/* hide content */
.content {
  display: none;
}

.tab-btn.active {
  background: var(--white);
  color: var(--black);
}

.content.active {
  display: block;
}

.content_delivery {
  display: none;
}

.tab-btnDelivery.deliveryActive {
  background: var(--white);
  color: var(--black);
}

.content_delivery.deliveryActive {
  display: block;
}

.tab-btnDelivery.deliveryActive {
  background: var(--white);
  color: var(--black);
}

.content_delivery.deliveryActive {
  display: block;
}

.marginTop {
  margin-top: 9rem;
}

/*
=============== 
Menu
===============
*/
.menu {
  padding: 5rem 0;
}

section.menu {
  margin-top: -3.5rem;
}

.title_menu {
  text-align: center;
  margin-bottom: 2rem;
}

.underline_menu {
  width: 5rem;
  height: 0.25rem;
  background: var(--secondary-500);
  margin-left: auto;
  margin-right: auto;
}

.btn-container_menu {
  margin-bottom: 4rem;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
}

.filter-btn_menu {
  background: transparent;
  border-color: var(--secondary-500);
  font-size: 1rem;
  text-transform: capitalize;
  margin: 0 0.5rem;
  letter-spacing: 1px;
  border-radius: var(--radius);
  padding: 0.375rem 0.75rem;
  color: var(--secondary-500);
  cursor: pointer;
  transition: var(--transition);
}

.filter-btn_menu:hover {
  background: var(--secondary-500);
  color: var(--white);
}

.section-center_menu {
  width: 90vw;
  margin: 0 auto;
  max-width: 1170px;
  display: grid;
  gap: 3rem 2rem;
  justify-items: center;
}

.menu-item {
  display: grid;
  gap: 1rem 2rem;
  max-width: 25rem;
}

.photo_menu {
  object-fit: cover;
  height: 200px;
  border: 0.25rem solid var(--secondary-500);
  border-radius: var(--radius);
}

.item-info_menu .header_menu {
  display: flex;
  justify-content: space-between;
  border-bottom: 0.5px dotted var(--secondary-500);
}

.item-info_menu h4 {
  margin-bottom: 0.5rem;
}

.price_menu {
  color: var(--secondary-500);
}

.item-text_menu {
  margin-bottom: 0;
  padding-top: 1rem;
}

.bg_layer_menu {
  background: var(--white);
  margin-bottom: 0;
}

section.menu {
  background: var(--white);
}

.small_kl {
  text-transform: lowercase;
}

@media screen and (min-width: 768px) {
  .menu-item {
    grid-template-columns: 225px 1fr;
    gap: 0 1.25rem;
    max-width: 40rem;
  }

  .photo_menu {
    height: 175px;
  }
}

@media screen and (min-width: 1200px) {
  .section-center_menu {
    width: 95vw;
    grid-template-columns: 1fr 1fr;
  }

  .photo_menu {
    height: 150px;
  }
}

/*
=============== 
Reviews
===============
*/
.main_reviews {
  min-height: calc(100vh - 3rem);
  display: grid;
  place-items: center;
}

.container_reviews {
  width: 80vw;
  max-width: var(--fixed-width);
}

.container_reviews h2 {
  background: var(--black);
  color: var(--white);
  padding: 1rem;
  border-radius: var(--radius);
  margin-bottom: 2.5rem;
}

.title_reviews {
  text-align: center;
  margin-bottom: 4rem;
}

.underline_reviews {
  height: 0.25rem;
  width: 5rem;
  background: var(--primary-500);
  margin-left: auto;
  margin-right: auto;
}

.review {
  background: var(--white);
  padding: 1.5rem 2rem;
  border-radius: var(--radius);
  box-shadow: var(--light-shadow);
  transition: var(--transition);
  text-align: center;
}

.review:hover {
  box-shadow: var(--dark-shadow);
}

.img-container_reviews {
  position: relative;
  width: 150px;
  height: 150px;
  border-radius: 50%;
  margin: 0 auto;
  margin-bottom: 1.5rem;
}

#person-img {
  width: 100%;
  display: block;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
  position: relative;
}

.img-container_reviews::after {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f10e";
  position: absolute;
  top: 0;
  left: 0;
  width: 2.5rem;
  height: 2.5rem;
  display: grid;
  place-items: center;
  border-radius: 50%;
  transform: translateY(25%);
  background: var(--primary-500);
  color: var(--white);
}

.img-container_reviews::before {
  content: "";
  width: 100%;
  height: 100%;
  background: var(--primary-500);
  position: absolute;
  top: -0.25rem;
  right: -0.5rem;
  border-radius: 50%;
}

#author {
  margin-bottom: 0.25rem;
}

#job {
  margin-bottom: 0.5rem;
  text-transform: uppercase;
  color: var(--primary-500);
  font-size: 0.85rem;
}

#info {
  margin-bottom: 0.75rem;
}

.prev-btn_reviews,
.next-btn_reviews {
  color: var(--primary-700);
  font-size: 1.25rem;
  background: transparent;
  border-color: transparent;
  margin: 0 0.5rem;
  transition: var(--transition);
  cursor: pointer;
}

.prev-btn_reviews:hover,
.next-btn_reviews:hover {
  color: var(--primary-500);
}

.random-btn_reviews {
  margin-top: 0.5rem;
  background: var(--primary-100);
  color: var(--primary-500);
  padding: 0.25rem 0.5rem;
  text-transform: capitalize;
  border-radius: var(--radius);
  transition: var(--transition);
  border-color: var(--primary-500);
  cursor: pointer;
  font-family: var(--ff-primary);
}

.random-btn_reviews:hover {
  background: var(--primary-500);
  color: var(--primary-200);
}

/* Delivery */
.delivery_car i {
  width: 1.5rem;
  height: 1rem;
}

/* menu image styling */

.img_mainPage:hover {
  opacity: 1;
  transition: all 0.8s cubic-bezier(0.19, 1, 0.22, 1);
  animation: myAnim 0.8s cubic-bezier(0.19, 1, 0.22, 1) normal forwards;
  border: 4px solid var(--white);
  box-shadow: var(--box-shadow);
  max-width: 100%;
  box-shadow: 1px 1px 4px 5px var(--primary-200);
}

@keyframes myAnim {
  0% {
    background-position: center top;
    background-size: 100%;
    transform: scale(1);
  }

  100% {
    background-position: center top;
    background-size: 100%;
    transform: scale(1.2);
  }
}

@media screen and (max-width: 520px) {
  @keyframes myAnim {
    0% {
      background-position: center top;
      background-size: 100%;
      transform: scale(1);
    }

    100% {
      background-position: center top;
      background-size: 100%;
      transform: scale(1.1);
    }
  }
}

@media screen and (min-width: 778px) {
  @keyframes myAnim {
    0% {
      background-position: center top;
      background-size: 100%;
      transform: scale(1);
    }

    100% {
      background-position: center top;
      background-size: 100%;
      transform: scale(1.7);
    }
  }
}

@media screen and (min-width: 1198px) {
  @keyframes myAnim {
    0% {
      background-position: center top;
      background-size: 100%;
      transform: scale(1);
    }

    100% {
      background-position: center top;
      background-size: 100%;
      transform: scale(1.3);
    }
  }
}

@media screen and (min-width: 1330px) {
  @keyframes myAnim {
    0% {
      background-position: center top;
      background-size: 100%;
      transform: scale(1);
    }

    100% {
      background-position: center top;
      background-size: 100%;
      transform: scale(1.7);
    }
  }
}

/* end of menu image styling */
/* privacy policy */
.main_article {
  background: var(--tirtiaryColor) url("../images/bg-drop-.jpg") center/cover
    no-repeat fixed;
  margin: 0 auto;
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  padding: 0 0 3rem;
  width: 100vw;
}
.h1 {
  filter: drop-shadow(0.8px 0.8px 1px var(--whiteMain)) invert(5%);
}

.h1.privacy::after {
  content: "Политика конфиденциальности";
  font-size: 20%;
  display: block;
  padding: 1rem 0.3rem 0.3rem;
  margin: 0 auto;
}

.bg_mask_privacy {
  background: rgba(50, 0, 46, 0.04);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.main_article p {
  padding: 0 1.5rem 0 3.3rem;

  text-align: justify;
}

.main_article h3 {
  text-align: center;
  padding: 1.5rem;
  text-transform: uppercase;
}

.main_article h4 {
  text-align: center;
  padding: 1.5rem;
  text-decoration: underline;
}

.title_container {
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 1.5rem;
  text-transform: uppercase;
}

/*end of privacy policy */
/* we_are_on_maps */
main.main_bg_map {
  width: 100vw;
  background:
    linear-gradient(var(--blackLighter), var(--blackLighter)),
    url(../images/background_bordo.jpg) center/cover no-repeat;
  min-height: 100vh;
}

.bg_we_on_maps {
  min-height: 100vh;
  background:
    linear-gradient(var(--blackLighter), var(--blackLighter)),
    url(../images/background_bordo.jpg) center/cover no-repeat;
  color: var(--whiteMain);
}

.iframe_map {
  margin-top: 6rem;
  background-color: var(--blackLighter);
  width: 100vw;
}

.iframe_map_flex {
  display: flex;
  flex-flow: row wrap;
  width: 100%;
}

.iframe_container {
  padding: 0 0 2rem;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: auto;
}

.p_text {
  padding: 0 1.5rem;
  font-family: var(--fontMain);
  color: var(--tirtiaryColor);
  text-indent: 1.4em;
}

.col_left {
  flex: 0 0 100%;
  margin: 0 auto;
}

.col_right {
  flex: 0 0 100%;
  margin: 0 auto;
  align-self: center;
}

.padding {
  padding: 0 0.5rem;
}

.on_map {
  display: block;
  margin: 0 auto;
}

.col_right .btn_container {
  display: block;
  margin: 0 auto;
  text-transform: uppercase;
  text-align: center;
  word-spacing: 0.2em;
  font-weight: bold;
  margin-bottom: 1rem;
}

.hr_thumb_on_map {
  border: 0.5rem inset transparent;
  background: transparent;
  position: relative;
}

.hr_thumb_on_map::before {
  content: "📲Заказы принимаются ежедневно с 9:00 до 16:00!";
  text-align: center;
  text-transform: uppercase;
  color: var(--whiteMain);
  font-weight: bold;
  font-size: 140%;
  display: block;
  margin: 0 auto;
  animation: fadeInImage1 25s infinite cubic-bezier(0.455, 0.03, 0.515, 0.955)
    forwards;
  text-shadow: var(--shadow-3);
}

.hr_thumb_on_map1 {
  border: 0.5rem inset transparent;
  background: transparent;
  position: relative;
}

.hr_thumb_on_map1::before {
  content: "🚘Есть доставка по г. Покров и пос. Вольгинский!";
  text-align: center;
  text-transform: uppercase;
  color: var(--whiteMain);
  font-weight: bold;
  font-size: 140%;
  display: block;
  margin: 0 auto;
  animation: fadeInImage1 25s infinite cubic-bezier(0.455, 0.03, 0.515, 0.955)
    forwards;
  text-shadow: var(--shadow-3);
}

@keyframes fadeInImage1 {
  from {
    opacity: 0.5;
    transform: translateX(90%);
  }

  to {
    opacity: 1;
    transform: translateX(-100%);
  }
}

.img_container {
  display: block;
  margin: 0 auto;
  text-align: center;
  padding: 0 0 2rem;
}

.img_container .imgMain {
  display: block;
  margin: 0 auto;
  text-align: center;
  padding: 0 0 2rem;
  border-radius: 10px;
  box-shadow: var(--boxShadowImage);
  object-fit: cover;
  max-width: 100%;
  min-height: 50vh;
}

.imgMain {
  min-height: 26vh;
  width: 100%;
  object-fit: fill;
  margin: 0 auto;
  display: block;
}

.col_left .btn_container .glow-on-hover {
  display: block;
  margin: 0 auto;
  text-transform: uppercase;
}

/* glowing_button */
button.glow-on-hover {
  width: 220px;
  height: 50px;
  border: none;
  outline: none;
  color: #fff;
  background: #111;
  cursor: pointer;
  position: relative;
  z-index: 0;
  border-radius: 10px;
  left: 0;
  right: 0;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 80%;
}

.glow-on-hover:before {
  content: "";
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff7300,
    #fffb00,
    #48ff00,
    #00ffd5,
    #002bff,
    #7a00ff,
    #ff00c8,
    #ff0000
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: -1;
  filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing 20s linear infinite;
  opacity: 0;
  transition: opacity 0.2s cubic-bezier(0, 3.68, 0, -0.63);
  border-radius: 10px;
}

.glow-on-hover:active {
  color: #000;
}

.glow-on-hover:active:after {
  background: transparent;
}

.glow-on-hover:hover:before {
  opacity: 1;
}

.glow-on-hover:after {
  z-index: -1;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: #111;
  left: 0;
  top: 0;
  border-radius: 10px;
}

@keyframes glowing {
  0% {
    background-position: 0 0;
  }

  50% {
    background-position: 400% 0;
  }

  100% {
    background-position: 0 0;
  }
}

/* end of thumbnail gallery */
/* h3 -glows */
.h3Glow {
  border: none;
  outline: none;
  cursor: pointer;
  position: relative;
  width: fit-content;
  left: 0;
  right: 0;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.h3Glow:before {
  content: "";
  background: linear-gradient(
    45deg,
    #ff0000,
    #ff7300,
    #fffb00,
    #48ff00,
    #00ffd5,
    #002bff,
    #7a00ff,
    #ff00c8,
    #ff0000
  );
  position: absolute;
  top: -2px;
  left: -2px;
  background-size: 400%;
  z-index: 1;
  filter: blur(5px);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  animation: glowing1 20s linear infinite;
  opacity: 0.2;
  transition: opacity 0.2s cubic-bezier(0, 3.68, 0, -0.63);
  border-radius: 10px;
}

.h3Glow:active {
  color: rgb(234, 234, 234);
}

.h3Glow:active:after {
  background: transparent;
}

.glow-on-hover:hover:before {
  opacity: 1;
}

.h3Glow:after {
  z-index: -1;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: #111;
  left: 0;
  top: 0;
  border-radius: 10px;
}

@keyframes glowing1 {
  0% {
    background-position: 0 0;
  }

  50% {
    background-position: 400% 0;
  }

  100% {
    background-position: 0 0;
  }
}

@keyframes fadeInImage {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@media screen and (min-width: 778px) {
  .col_left {
    display: flex;
    flex-flow: row wrap;
    width: 90%;
  }

  .col_right {
    display: flex;
    flex-flow: row wrap;
    width: 90%;
  }

  .col_left .btn_container .glow-on-hover {
    display: block;
    margin: 0 auto;
    text-transform: uppercase;
    text-align: center;
    word-spacing: 0.2em;
    font-weight: bold;
  }

  div.btn_container {
    margin: 0 auto;
    width: 40vw;
    padding: 1rem;
  }

  .col_right .btn_container {
    display: block;
    margin: 0 auto;
    text-transform: uppercase;
    text-align: center;
    word-spacing: 0.2em;
    font-weight: bold;
  }

  .col_right .btn_container .btn {
    margin: 0 auto;
    width: fit-content;
    padding: 0.5rem;
  }

  .hr_thumb_on_map::before {
    animation: fadeInImage1 35s infinite linear;
  }

  .hr_thumb_on_map1::before {
    animation: fadeInImage1 35s infinite linear;
  }
}

/* end of h3 -glows */
/* ==============
/* end of we_are_on_maps */
/* footer */
.footer_layout {
  background: var(--blackMiddle);
  padding: 4rem 1.5rem 1rem;
  color: var(--tirtiaryColor);
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-flow: column wrap;
}

p.copyright {
  background-color: var(--blackMiddle);
  color: var(--greyLight);
  text-transform: capitalize;
  letter-spacing: var(--mainSpacing);
  margin-bottom: 0;
  text-align: center;
}

.fa-envelope-open {
  padding-right: 0.3rem;
  color: var(--gold);
}

.img_container_footer {
  display: block;
  margin: 0 auto;
}

.link_tabs p > a {
  color: var(--primary-500);
  text-shadow:
    1.5px 1.5px 1px rgb(69, 0, 0),
    0px 0px 7px rgba(37, 0, 0, 0.7);
  text-align: center;
  display: flex;
  justify-content: space-evenly;
  padding: 1rem 0.7rem 0.5rem;
  flex-flow: row wrap;
  align-items: scenter;
  position: relative;
  width: 100%;
  line-height: 1.6;
  font-size: 110%;
  font-family: "Roboto Mono";
}

.link_tabs p {
  margin-bottom: 0.15rem;
}

footer address {
  padding: 0 0.5rem 1rem;
  line-height: 1.7;
}

a.footer_address {
  text-transform: lowercase;
  color: var(--silver);
  cursor: pointer;
  padding: 0.5rem 0.5rem 1.2rem;
  line-height: 2.7;
  transition: all 0.3 linear;
  font-size: 110%;
}

.link_social_media {
  color: var(--silver);
  text-shadow: var(--text-shadow);
  display: flex;
  justify-content: space-evenly;
  flex-flow: row wrap;
  flex-flow: row wrap;
  align-items: center;
  padding: 1.5rem;
  font-size: 120%;
}

.link_social_media p > a {
  color: var(--silver);
  text-shadow: var(--text-shadow);
}

/*  */
.fa-vk {
  margin-right: 0 1.3rem;
  border: 1px solid rgb(100, 92, 255, 0.3);
  border-radius: 40%;
  padding: 0.32rem 0.15rem 0.32rem 0.3rem;
}

.fa-pinterest-p {
  margin: 0 2.7rem;
  border: 1px solid rgb(227, 1, 1, 0.3);
  border-radius: 40%;
  padding: 0.3rem 0.21rem 0.34rem 0.41rem;
}

.fa-odnoklassniki {
  margin-right: 0 1.3rem;
  border: 1px solid rgb(255, 165, 0, 0.3);
  border-radius: 40%;
  padding: 0.3rem 0.22rem 0.31rem 0.46rem;
}

.fa-pinterest-p:hover {
  transition: all 0.3 linear;
  text-decoration-color: var(--primaryColor);
  position: relative;
  transition: padding 0.3 ease-in-out;
  text-shadow: var(--textShadow2);
  color: var(--secondaryColor);
  cursor: pointer;
  border: 1px solid rgb(227, 1, 1, 0.8);
}

.fa-vk:hover {
  transition: all 0.3 linear;
  text-decoration-color: var(--primaryColor);
  position: relative;
  transition: padding 0.3 ease-in-out;
  text-shadow: var(--textShadow2);
  color: var(--blues-500);
  cursor: pointer;
  border: 1px solid rgb(100, 92, 255, 0.8);
}

.fa-odnoklassniki:hover {
  transition: all 0.3 linear;
  text-decoration-color: var(--primaryColor);
  position: relative;
  transition: padding 0.3 ease-in-out;
  text-shadow: var(--textShadow2);
  color: #ffa500;
  cursor: pointer;
  border: 1px solid rgb(255, 165, 0, 0.8);
}

.link_tabs p > a:hover {
  transition: all 0.3 linear;
  position: relative;
  transition: padding 0.3 ease-in-out;
  text-shadow:
    0.1px 0.1px 3px var(--primary-700),
    0px 0px 4px var(--primary-700);
  cursor: pointer;
  color: var(--primaryColor);
  color: var(--silver);
  text-shadow:
    1.5px 1.5px 1px rgb(69, 0, 0),
    0px 0px 7px rgba(37, 0, 0, 0.8);
}

.footer_address:hover {
  transition: all 0.3 linear;
  position: relative;
  transition: padding 0.3 ease-in-out;
  text-shadow:
    0.2px 0.2px 3px var(--greyDark),
    0px 0px 4px var(--primary-500);
  cursor: pointer;
  color: var(--tirtiaryColor);
}

.footer_flex {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  padding: 0 0 4rem;
}

.img_logo_halal-footer {
  display: block;
  max-width: 65%;
  height: auto;
  padding: 0.2rem;
  margin: 0 auto;
}

.img_logo_halal-footer:hover {
  transition: all 0.3 linear;
  position: relative;
  transition: padding 0.3 ease-in-out;
  text-shadow:
    0.2px 0.2px 3px var(--greyDark),
    0px 0px 4px var(--primary-500);
  cursor: pointer;
}

.fa-telegram-plane {
  color: var(--blue);
}

/* arrow for scroll */
.top-link {
  font-size: 1.25rem;
  position: fixed;
  bottom: 3rem;
  right: 3rem;
  background: var(--grey-500);
  width: 2rem;
  height: 2rem;
  display: grid;
  place-items: center;
  border-radius: var(--radius);
  color: var(--white);
  animation: bounce 2s ease-in-out infinite;
  visibility: hidden;
  z-index: -100;
}

.top-link:hover {
  box-shadow: var(--shadow-4);
  background-color: var(--grey-700);
  border: 2px solid var(--grey-800);
}

.show-link {
  visibility: visible;
  z-index: 100;
  transition: all 0.3s linear;
}

.fa-phone {
  color: var(--white);
  cursor: pointer;
}

.whatsapp-link {
  font-size: 1.1rem;
  position: fixed;
  bottom: 2.85rem;
  left: 2.85rem;
  background: rgb(3, 199, 3);
  width: 2.65rem;
  height: 2.49rem;
  display: grid;
  place-items: center;
  border-radius: 50%;
  color: var(--white);
  animation: bounce 2s ease-in-out infinite;
  visibility: hidden;
  z-index: 100;
  border: 2px solid var(--white);
  transition: all 0.3s linear;
  cursor: pointer;
}

.whatsapp-link:hover {
  box-shadow: var(--shadow-4);
  background-color: rgb(21, 159, 21);
  border: 2px solid green;
}

.show-link {
  visibility: visible;
  z-index: 100;
  transition: all 0.3s linear;
}

i.fas.fa-arrow-up::before {
  text-align: center;
  padding: 0.5rem;
  cursor: pointer;
}

i.fas.fa-phone.fa-flip-horizontal::before {
  padding: 0.3.8rem;
}

@keyframes bounce {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(1);
  }
}

@media screen and(max-width:450px) {
  .whatsapp-link {
    bottom: 1.85rem;
    left: 1.85rem;
  }

  .top-link {
    bottom: 2rem;
    left: 2rem;
  }
}

.flashIn {
  animation: flashIn 1s forwards 1 cubic-bezier(0.47, 0, 0.745, 0.715) alternate;
}

@keyframes flashIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* end of flesh in effect */
